Skip to content

Loading…

NPM install fails #1

Closed
dignifiedquire opened this Issue · 4 comments

2 participants

@dignifiedquire

I've tried installing it via npm install engine.io-stream but it fails with

npm WARN package.json rumors@0.0.0 No README.md file found!
npm http GET https://registry.npmjs.org/engine.io-stream
npm http 304 https://registry.npmjs.org/engine.io-stream
npm http GET https://registry.npmjs.org/engine.io
npm http GET https://registry.npmjs.org/re-emitter
npm http GET https://registry.npmjs.org/read-write-stream
npm http 304 https://registry.npmjs.org/engine.io
npm http 304 https://registry.npmjs.org/read-write-stream
npm http 304 https://registry.npmjs.org/re-emitter
npm ERR! git checkout browserify error: pathspec 'browserify' did not match any file(s) known to git.
npm ERR! Error: `git "checkout" "browserify"` failed with 1
npm ERR!     at ChildProcess.<anonymous> (/Users/dignifiedquire/.nvm/v0.8.16/lib/node_modules/npm/lib/utils/exec.js:56:20)
npm ERR!     at ChildProcess.EventEmitter.emit (events.js:99:17)
npm ERR!     at Process._handle.onexit (child_process.js:678:10)
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Darwin 11.4.2
npm ERR! command "/Users/dignifiedquire/.nvm/v0.8.16/bin/node" "/Users/dignifiedquire/.nvm/v0.8.16/bin/npm" "install" "engine.io-stream" "--save"
npm ERR! cwd /Users/dignifiedquire/play/experiments/rumors
npm ERR! node -v v0.8.16
npm ERR! npm -v 1.1.69
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /Users/dignifiedquire/play/experiments/rumors/npm-debug.log
npm ERR! not ok code 0

I think the reason is line 21 in package.json

@dignifiedquire

Switching to "engine.io-client": "~0.3.10" solves the issue.

@Raynos
Owner

make a PR i'll merge it in.

@Raynos
Owner

@Dignifiedquire I just updated my fork of engine.io client to work.

I can change the github dependency to be engine.io-client when they merge socketio/engine.io-client#85

Try install engine.io-stream again.

A correct install looks like:

$ npm install engine.io-stream
npm http GET https://registry.npmjs.org/engine.io-stream
npm http 304 https://registry.npmjs.org/engine.io-stream
npm http GET https://registry.npmjs.org/engine.io
npm http GET https://registry.npmjs.org/read-write-stream
npm http GET https://registry.npmjs.org/re-emitter
npm http 304 https://registry.npmjs.org/read-write-stream
npm http 304 https://registry.npmjs.org/engine.io
npm http 304 https://registry.npmjs.org/re-emitter
npm http GET https://registry.npmjs.org/to-array
npm http GET https://registry.npmjs.org/read-stream
npm http GET https://registry.npmjs.org/xtend
npm http GET https://registry.npmjs.org/debug/0.6.0
npm http GET https://registry.npmjs.org/ws
npm http GET https://registry.npmjs.org/engine.io-client/0.3.10
npm http GET https://registry.npmjs.org/base64id/0.1.0
npm http GET https://registry.npmjs.org/ws/0.4.20
npm http GET https://registry.npmjs.org/xmlhttprequest/1.5.0
npm http GET https://registry.npmjs.org/emitter-component/0.0.6
npm http 304 https://registry.npmjs.org/xtend
npm http 304 https://registry.npmjs.org/ws
npm http 304 https://registry.npmjs.org/engine.io-client/0.3.10
npm http 304 https://registry.npmjs.org/base64id/0.1.0
npm http 304 https://registry.npmjs.org/ws/0.4.20
npm http 304 https://registry.npmjs.org/read-stream
npm http 304 https://registry.npmjs.org/xmlhttprequest/1.5.0
npm http 304 https://registry.npmjs.org/to-array
npm http 304 https://registry.npmjs.org/emitter-component/0.0.6
npm http 304 https://registry.npmjs.org/debug/0.6.0
npm http GET https://registry.npmjs.org/ws/0.4.20
npm http GET https://registry.npmjs.org/xmlhttprequest/1.5.0
npm http GET https://registry.npmjs.org/tinycolor
npm http GET https://registry.npmjs.org/commander
npm http GET https://registry.npmjs.org/options
npm http 304 https://registry.npmjs.org/options
npm http 304 https://registry.npmjs.org/commander
npm http 304 https://registry.npmjs.org/tinycolor

> ws@0.4.20 install /home/raynos/node_modules/engine.io-stream/node_modules/engine.io-client/node_modules/ws
> node install.js


> ws@0.4.25 install /home/raynos/node_modules/engine.io-stream/node_modules/engine.io/node_modules/ws
> (node-gyp rebuild 2> builderror.log) || (exit 0)

[ws v0.4.20] Attempting to compile blazing fast native extensions.
make: Entering directory `/home/raynos/node_modules/engine.io-stream/node_modules/engine.io/node_modules/ws/build'
  CXX(target) Release/obj.target/bufferutil/src/bufferutil.o
  SOLINK_MODULE(target) Release/obj.target/bufferutil.node
  SOLINK_MODULE(target) Release/obj.target/bufferutil.node: Finished
  COPY Release/bufferutil.node
  CXX(target) Release/obj.target/validation/src/validation.o
  SOLINK_MODULE(target) Release/obj.target/validation.node
  SOLINK_MODULE(target) Release/obj.target/validation.node: Finished
  COPY Release/validation.node
make: Leaving directory `/home/raynos/node_modules/engine.io-stream/node_modules/engine.io/node_modules/ws/build'
[ws v0.4.20] Native extension compilation successful!
npm http 304 https://registry.npmjs.org/xmlhttprequest/1.5.0
npm http 304 https://registry.npmjs.org/ws/0.4.20
npm http GET https://registry.npmjs.org/commander
npm http GET https://registry.npmjs.org/tinycolor
npm http GET https://registry.npmjs.org/options
npm http 304 https://registry.npmjs.org/commander
npm http 304 https://registry.npmjs.org/tinycolor
npm http 304 https://registry.npmjs.org/options

> ws@0.4.20 install /home/raynos/node_modules/engine.io-stream/node_modules/engine.io/node_modules/engine.io-client/node_modules/ws
> node install.js

[ws v0.4.20] Attempting to compile blazing fast native extensions.
[ws v0.4.20] Native extension compilation successful!
engine.io-stream@0.1.0 node_modules/engine.io-stream
├── re-emitter@0.3.0 (to-array@0.1.3)
├── engine.io-client@0.4.0 (emitter-component@0.0.6, debug@0.6.0, xmlhttprequest@1.5.0, ws@0.4.20)
├── read-write-stream@0.1.6 (xtend@1.0.3, readable-stream@0.1.0, read-stream@0.5.2)
└── engine.io@0.3.10 (base64id@0.1.0, debug@0.6.0, ws@0.4.25, engine.io-client@0.3.10)
@dignifiedquire

It's working now thanks.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.